import { TFunction } from 'i18next';
import Filter from './Filter';
import { Room } from '../Room';
export default class RateTypeFilter extends Filter {
    private viewOnly;
    constructor(viewOnly: string[]);
    getLabel(t: TFunction): string;
    getViewOnly(): string[];
    check(room: Room): Room;
}
